% modem_ber_example.m : simple Octave script to plot the results of modem_ber_example.c

clear all;
close all;

% load data into single vector
v = load('modem_ber_example.dat');
SNRdB           = v(:,1);   % signal to noise ratio
num_bit_errors  = v(:,2);   % number of bit errors
num_bit_trials  = v(:,3);   % total number of bits
BER             = v(:,4);   % bit error rate (num_bit_errors/num_bit_trials)

% plot results
figure;
semilogy(SNRdB, BER, '-x', 'Color',[0 0.2 0.5]);
xlabel('SNR [dB]');
ylabel('Bit Error Rate');
grid on;
axis([-5 20 1e-6 1])

